be.fgov.ehealth.commons.protocol.v2

## Class RequestType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ActivateETKRequest, AliveCheckRequest, AuthorRequestType, CompleteETKRegistrationRequest, ConsultCarmedInterventionRequest, ConsultCarmedInterventionRequest, ConsultSsinRequestType, DicsRequestType, FindAmppRequest, FindAmpRequest, FindCNKRequest, FindCommentedClassificationRequest, FindCompanyRequest, FindCompoundingFormulaRequest, FindCompoundingIngredientRequest, FindLegislationTextRequest, FindNonMedicinalProductRequest, FindParagraphRequest, FindParagraphTextRequest, FindPublicCNKRequest, FindReferencesRequest, FindReimbursementConditionsRequest, FindReimbursementRequest, FindVmpGroupRequest, FindVmpRequest, FindVtmRequest, GenerateCertificateRequest, GenerateContractRequest, GenerateRevocationContractRequest, GetActorQualitiesRequest, GetAddedDocumentsRequest, GetCertificateInfoForAuthenticationCertificateRequest, GetCertificateInfoForCitizenRequest, GetCertificateRequest, GetExistingApplicationIdsRequest, GetGenericOrganizationTypesRequest, GetOrganizationContactInfoRequest, GetParagraphExclusionsRequest, GetParagraphIncludedSpecialtiesRequest, GetProfessionalAuthorizationsRequest, GetProfessionalContactInfoRequest, PaginationRequestType, RegisterPersonRequest, RevokeRequest, SearchPersonBySsinRequest, SearchPersonPhoneticallyRequest, SearchUrgentMedicalAidAttestationRequest, SendRequestType, SendRequestType, SendRequestType, StartETKRegistrationRequest, SubmitCSRForForeignerRequest, ValidateProductIdRequest, ValidateSamIdRequest, VerifyIdRequest

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class RequestType
      extends Object
      implements Serializable

  Basic eHealth SOA Request Type. EHealth Service Requests SHOULD extend from this element.

  Java class for RequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestType

          public RequestType()

  - ### Method Detail

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIssueInstant

          public org.joda.time.DateTime getIssueInstant()

      Gets the value of the issueInstant property.
      Returns:
        possible object is `String`

    - #### setIssueInstant

          public void setIssueInstant(org.joda.time.DateTime value)

      Sets the value of the issueInstant property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.